Get Agents Admin Paginated
curl --request GET \
--url https://{instance}.hymalaia.app/api/admin/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.hymalaia.app/api/admin/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.hymalaia.app/api/admin/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_public": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"user_file_ids": [
"<string>"
],
"display_priority": 123,
"builtin_persona": true,
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"definition": {},
"display_name": "<string>",
"in_code_tool_id": "<string>",
"custom_headers": [
"<unknown>"
],
"passthrough_auth": true,
"mcp_server_id": 123,
"user_id": "<string>",
"oauth_config_id": 123,
"oauth_config_name": "<string>",
"enabled": true,
"chat_selectable": true,
"agent_creation_selectable": true,
"default_enabled": false
}
],
"labels": [
{
"id": 123,
"name": "<string>"
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
},
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
],
"groups": [
123
],
"document_sets": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"cc_pair_summaries": [
{
"id": 123,
"name": "<string>",
"source": "ingestion_api",
"access_type": "public"
}
],
"is_up_to_date": true,
"is_public": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"federated_connector_summaries": [
{
"id": 123,
"name": "<string>",
"source": "federated_slack",
"entities": {}
}
]
}
],
"system_prompt": "<string>",
"replace_base_system_prompt": false,
"task_prompt": "<string>",
"datetime_aware": true,
"is_listed": true,
"is_featured": true,
"default_model_configuration_id": 123,
"hierarchy_nodes": [],
"attached_documents": [],
"sharing_status": "PRIVATE",
"public_permission": "EDITOR"
}
],
"total_items": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Get Agents Admin Paginated
Paginated endpoint for listing agents (formerly personas) (admin view).
Returns items for the requested page plus total count. Agents are ordered by display_priority (ASC, nulls last) then by ID (ASC).
GET
https://{instance}.hymalaia.app
/
api
/
admin
/
agents
Get Agents Admin Paginated
Authorizations
Authorization header with Bearer token
Query Parameters
Page number (0-indexed).
Required range:
x >= 0Items per page.
Required range:
1 <= x <= 1000If true, includes deleted personas.
If true, only returns editable personas.
If true, includes builtin/default personas.

